<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">

<nav class="o-menu-social">
    <ul class="o-menu-social__list">
        <f:if condition="{settings.socialMedia.facebook.enable} && {settings.socialMedia.facebook.parameter}">
            <f:comment><!-- Facebook --></f:comment>
            <li class="o-menu-social__item">
                <f:link.typolink
                    parameter="{settings.socialMedia.facebook.parameter}"
                    target="_blank"
                    class="o-menu-social__link"
                    additionalAttributes="{rel: 'noopener'}"
                    title="{f:translate(key:'socialMedia.facebook.link.label', extensionName:'t3oce_sitepackage')}"
                >
                    <span class="sr-only"><f:translate extensionName="t3oce_sitepackage" key="socialMedia.facebook.link.label" /></span>
                    <i class="icon icon-facebook" aria-hidden="true"></i>
                </f:link.typolink>
            </li>
        </f:if>
        <f:if condition="{settings.socialMedia.twitter.enable} && {settings.socialMedia.twitter.parameter}">
            <f:comment><!-- Twitter --></f:comment>
            <li class="o-menu-social__item">
                <f:link.typolink
                    parameter="{settings.socialMedia.twitter.parameter}"
                    target="_blank"
                    class="o-menu-social__link"
                    additionalAttributes="{rel: 'noopener'}"
                    title="{f:translate(key:'socialMedia.twitter.link.label', extensionName:'t3oce_sitepackage')}"
                >
                    <span class="sr-only"><f:translate extensionName="t3oce_sitepackage" key="socialMedia.twitter.link.label" /></span>
                    <i class="icon icon-twitter" aria-hidden="true"></i>
                </f:link.typolink>
            </li>
        </f:if>
        <f:if condition="{settings.socialMedia.instagram.enable} && {settings.socialMedia.instagram.parameter}">
            <f:comment><!-- Instagram --></f:comment>
            <li class="o-menu-social__item">
                <f:link.typolink
                    parameter="{settings.socialMedia.instagram.parameter}"
                    target="_blank"
                    class="o-menu-social__link"
                    additionalAttributes="{rel: 'noopener'}"
                    title="{f:translate(key:'socialMedia.instagram.link.label', extensionName:'t3oce_sitepackage')}"
                >
                    <span class="sr-only"><f:translate extensionName="t3oce_sitepackage" key="socialMedia.instagram.link.label" /></span>
                    <i class="icon icon-instagram" aria-hidden="true"></i>
                </f:link.typolink>
            </li>
        </f:if>
        <f:if condition="{settings.socialMedia.youtube.enable} && {settings.socialMedia.youtube.parameter}">
            <f:comment><!-- YouTube --></f:comment>
            <li class="o-menu-social__item">
                <f:link.typolink
                    parameter="{settings.socialMedia.youtube.parameter}"
                    target="_blank"
                    class="o-menu-social__link"
                    additionalAttributes="{rel: 'noopener'}"
                    title="{f:translate(key:'socialMedia.youtube.link.label', extensionName:'t3oce_sitepackage')}"
                >
                    <span class="sr-only"><f:translate extensionName="t3oce_sitepackage" key="socialMedia.youtube.link.label" /></span>
                    <i class="icon icon-youtube" aria-hidden="true"></i>
                </f:link.typolink>
            </li>
        </f:if>
    </ul>
</nav>

</html>
